#ifndef __core__time_h
#define __core__time_h

#include <cstdint>
#include <string>
namespace Time {

class Duration {
public:
	Duration(int64_t l);
	int64_t InSeconds();
	int64_t InMinutes();
	int64_t InHours();
	int64_t InDays();
	std::string AsRelativeString();

private:
	int64_t length;
};

int64_t GetSystemTime();

}; // namespace Time

#endif // __core__time_h